Attribute VB_Name = "modAnlageFehlt"
Option Explicit
' Buch "Selbstorganisation und Zeitmanagement mit MS Outlook" (Stobbe, Wuttke, 2016, mitp)
' Autor: Irina Stobbe, 2016
' nur "as it is" - ohne Garantie

Public Const PropSchema = "http://schemas.microsoft.com/mapi/proptag/"
Public Const PR_ATT_CONTENT_ID = "http://schemas.microsoft.com/mapi/proptag/0x3712001E"  ' ID des Attachments


Public Function AnlageVorhanden _
    (oMailItem As Object) As Boolean
    Dim attAnlage As Outlook.Attachment
    Dim strAnlage As String, booAnlage As Boolean
    booAnlage = False
    For Each attAnlage In oMailItem.Attachments
         Debug.Print oMailItem.BodyFormat; oMailItem.Attachments.Count;
         strAnlage = attAnlage.propertyAccessor.GetProperty(PR_ATT_CONTENT_ID)
         If strAnlage = "" Then
             booAnlage = True
             Exit For
         Else
             ' wenn Html : keine echte: booA bleibt so
             ' wenn TXT oder Rich: ?
         End If
         
         Debug.Print "***" & strAnlage & "****"
    Next attAnlage
ANV_Exit:
    AnlageVorhanden = booAnlage
End Function

Public Function AnlageBenannt _
    (str As String) As Boolean
    Dim booAnlage As Boolean
   
    On Error GoTo ANB_Exit
    booAnlage = False
    ' Liest den Nachrichtentext
    ' 1 = vbTextCompare
    If InStr(1, str, "Anhang", 1) > 0 _
        Then booAnlage = True: GoTo ANB_Exit
    If InStr(1, str, "Anlage", 1) > 0 _
        Then booAnlage = True: GoTo ANB_Exit
    If InStr(1, str, "angehngt", 1) > 0 _
        Then booAnlage = True: GoTo ANB_Exit
    If InStr(1, str, "angefgt", 1) > 0 _
        Then booAnlage = True: GoTo ANB_Exit
    If InStr(1, str, "gefgt", 1) > 0 _
        Then booAnlage = True: GoTo ANB_Exit
ANB_Exit:
    AnlageBenannt = booAnlage
End Function
Function StopBeiFehlenderAnlage(Item As Object) _
                As Boolean
    If AnlageBenannt(Item.body) Then
      If Not AnlageVorhanden(Item) Then
        If MsgBox("Nachricht enthlt keine " _
         & "Anlagen!" & vbCrLf & _
         "Wollen Sie sie trotzdem senden?", _
         vbQuestion + vbYesNo, _
         "Anhang vergessen?") = vbNo Then
            StopBeiFehlenderAnlage = True
        End If
      End If
    End If
End Function

Sub TestAnlage()

 Dim n As Integer
 Dim oMail As Object
 n = 86
 'Get first item in the inbox
 'Set oMail = Application.Session.GetDefaultFolder(olFolderInbox).Items(n)
 Set oMail = Application.ActiveExplorer.Selection(1)
 Debug.Print oMail.Subject

 MsgBox IIf(StopBeiFehlenderAnlage(oMail), "", "k") & "eine Anlage fehlt"
End Sub
