Attribute VB_Name = "modVorlagen"
Option Explicit

' Buch "Selbstorganisation und Zeitmanagement mit MS Outlook" (Stobbe, Wuttke, 2016, mitp)
' Autor: Irina Stobbe, 2016
' nur "as it is" - ohne Garantie

Const cTemplatepfad = "C:\Users\PaulaP\AppData\Roaming\Microsoft\Templates\"
' Alternativ
Private strTemplatepfad As String       ' wird zur Laufzeit unabhngig vom Anmeldenamen berechnet

Sub GlueckwunschPaula()
    Dim olApp As Outlook.Application
    Dim myFolder As MAPIFolder
    Dim myItem As MailItem

    ' Buch
    MsgBox "Code aus 'Zeitmanagement" & _
      " und Selbstorganisation mit Outlook'," & vbLf & _
      " von I. Stobbe/ A. Wuttke, mitp-Verlag, 2016"

  
    strTemplatepfad = Environ("AppData") & "\Microsoft\Templates"
    Set myFolder = Outlook.GetNamespace("MAPI").GetDefaultFolder(olFolderInbox)
    Set Application.ActiveExplorer.CurrentFolder = myFolder
        
    On Error Resume Next
    Set myItem = Application.CreateItemFromTemplate(strTemplatepfad & "mGlueckwunschPaula.oft", myFolder)
    myItem.Display
    MsgBox "Erinnerung: Signatur anpassen?!"

End Sub


Sub Telefonnotiz()
    Dim mySpace As NameSpace
    Dim myFolder As MAPIFolder
    Dim myItem As MailItem
    
    ' Mail-Eingangsordner festlegen
    strTemplatepfad = Environ("AppData") & "\Microsoft\Templates"
    Set myNameSpace = Outlook.GetNamespace("MAPI")
    Set myFolder = myNameSpace.GetDefaultFolder(olFolderInbox)
    Set Application.ActiveExplorer.CurrentFolder = myFolder
        
    On Error Resume Next
    Set myItem = Application.CreateItemFromTemplate(strTemplatepfad & "mTelefonnotiz.oft", myFolder)
    myItem.Display   ' Erzeugt Standard-Signatur automatisch

    MsgBox "Erinnerung: Signatur anpassen?!"

End Sub

Sub MailVorlageX()
    Dim olApp As Outlook.Application
    Dim myFolder As MAPIFolder
    Dim myItem As MailItem
  
    ' Buch
    MsgBox "Code aus 'Zeitmanagement" & _
      " und Selbstorganisation mit Outlook'," & vbLf & _
      " von I. Stobbe/ A. Wuttke, mitp-Verlag, 2016"

    strTemplatepfad = Environ("AppData") & "\Microsoft\Templates"
    Set myFolder = Outlook.GetNamespace("MAPI").GetDefaultFolder(olFolderInbox)
    Set Application.ActiveExplorer.CurrentFolder = myFolder
        
    On Error Resume Next
    Set myItem = Application.CreateItemFromTemplate(strTemplatepfad & "mVorlageX.oft", myFolder)
    myItem.Display
    MsgBox "Erinnerung: Signatur anpassen?!"

End Sub

Sub ObjectVorlageX()
    Dim olApp As Outlook.Application
    Dim myFolder As MAPIFolder
    Dim myItem As Object
  
    ' Buch
    MsgBox "Code aus 'Zeitmanagement" & _
      " und Selbstorganisation mit Outlook'," & vbLf & _
      " von I. Stobbe/ A. Wuttke, mitp-Verlag, 2016"

    strTemplatepfad = Environ("AppData") & "\Microsoft\Templates\Vorlagen\"
    Set myFolder = Outlook.GetNamespace("MAPI").GetDefaultFolder(olFolderInbox)
    Set Application.ActiveExplorer.CurrentFolder = myFolder
        
    On Error Resume Next
    Set myItem = Application.CreateItemFromTemplate(strTemplatepfad & "tTelefonvorlage.oft", myFolder)
    myItem.Display
    MsgBox "Erinnerung: Signatur anpassen?!"

End Sub
